Doomsday Engine - Feature #2195

Permanent blood (surface decal effect)
2017-01-20 19:00 - Esrael

Status: New Start date: 2017-01-20
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Rendering

Description

Hi!

| think it's really satisfying seeing the floor spilled with blood whenever a monster dies, but could it be possible to give the option of
making the blood particles remain longer, preferably indefinitely, yus? :3c

Also, could it be possible to have blood particles spill instead of the traditional blood sprites, whenever you hit the enemy?

Great job on the engine, by the way; | feel like it's horrendously underappreciated compared to (G)ZDoom.

Related issues:
Related to Feature #1168: Real decals: bulletholes, blastmarks, etc. New 2003-05-31

History

#1 - 2017-01-22 08:50 - skyjake

- Tags changed from Patrticles to Particles, Renderer

- Subject changed from Permanent blood? to Permanent blood (surface decal effect)

- Target version set to Rendering

The current particle system implementation isn't quite efficient enough for long-term effects, and there is no surface decal feature at the moment...

However, | think decals are an important feature to consider for the next revision of the map renderer.

Great job on the engine, by the way

Thanks! :)

#2 - 2017-01-22 08:50 - skyjake
- Related to Feature #1168: Real decals: bulletholes, blastmarks, etc. added
